#!/usr/bin/perl -w
use strict;

use MetNo::Fimex;
use Fcntl;
use PDL;
use PDL::NetCDF;
use PDL::Char;

$MetNo::Fimex::DEBUG = 0;

my $url =
    #'http://thredds.met.no/thredds/dodsC/osisaf/met.no/ice/conc/2012/11/ice_conc_sh_polstere-100_multi_201211071200.nc';
    #'http://thredds.met.no/thredds/dodsC/cryoclim/met.no/sie-mar/sie-mar_osisaf_monthly_mean_sie_mar.nc';
    http://thredds.met.no/thredds/dodsC/myocean/siw-tac/siw-metno-glo-osisaf/edge/2012/12/ice_edge_sh_polstere-100_multi_201212121200.nc


my $f = new MetNo::Fimex(
    dapURL => $url,
    outputFile => 'output.nc',
    outputDirectory => '.',
    program => '/usr/bin/fimex',
);


eval { $f->doWork() };
if ($@) {
    # do something with this error
    printf STDERR "Error: %s\n", $@;
}

my $nc = PDL::NetCDF->new ( "output.nc", {MODE => O_RDONLY} );

printf "%s:\n", $nc->getatt('title');
printf " time: %s\n", join ',', list( $nc->get('time') );
printf "  sie: %s\n", join ',', list( $nc->get('sie')  );
